Subject: stuck chuck, need help

From: [email-masked] (Bob Powell)
Date: 26 Jan 1995 08:22:27 GMT

Hi folks,

I bought a used Jacobs 14N ball-bearing 1/2" drill chuck.
It came with a 5/8" straight shank arbor, that I can't
use.  According to a catalog, this chuck definitely has the
usual internal taper for a separate arbor, in this case
JT3.  But, I've beat on this thing for a half hour, as
gently as possible, and can't separate the taper.

There's a 1/8" hole in the center of the chuck, accessible
when the jaws are opened.  I thought this might be a spot
to stick in a rod or punch to hammer out the taper, but a
(straight) punch just gets stuck, it doesn't "feel" like
it's reaching the taper.

What am I missing?

thanks,

Bob